org.eclipse.incquery.uml.derivedfeatures.util

## Class ActivityGroupInActivityProcessor

- java.lang.Object
- - org.eclipse.incquery.uml.derivedfeatures.util.ActivityGroupInActivityProcessor

- All Implemented Interfaces:
    IMatchProcessor<ActivityGroupInActivityMatch>

      public abstract class ActivityGroupInActivityProcessor
      extends java.lang.Object
      implements IMatchProcessor<ActivityGroupInActivityMatch>

  A match processor tailored for the org.eclipse.incquery.uml.derivedfeatures.activityGroupInActivity pattern. Clients should derive an (anonymous) class that implements the abstract process().

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivityGroupInActivityProcessor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `process(org.eclipse.uml2.uml.ActivityGroup pSource, org.eclipse.uml2.uml.Activity pTarget)` Defines the action that is to be executed on each match.
    `void` | `process(ActivityGroupInActivityMatch match)` Defines the action that is to be executed on each match.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivityGroupInActivityProcessor

          public ActivityGroupInActivityProcessor()

  - ### Method Detail

    - #### process

          public abstract void process(org.eclipse.uml2.uml.ActivityGroup pSource,
                                       org.eclipse.uml2.uml.Activity pTarget)

      Defines the action that is to be executed on each match.
      Parameters:
        `pSource` - the value of pattern parameter source in the currently processed match
        `pTarget` - the value of pattern parameter target in the currently processed match

    - #### process

          public void process(ActivityGroupInActivityMatch match)

      Description copied from interface: `IMatchProcessor`
      Defines the action that is to be executed on each match.
      Specified by:
        `process` in interface `IMatchProcessor<ActivityGroupInActivityMatch>`
      Parameters:
        `match` - a single match of the pattern that must be processed by the implementation of this method